Index: manpages/Makefile.in
diff -Nau manpages/Makefile.in.orig manpages/Makefile.in
--- manpages/Makefile.in.orig	2010-08-05 16:29:51.000000000 +0200
+++ manpages/Makefile.in	2010-12-19 19:30:06.000000000 +0100
@@ -21,23 +21,21 @@
 install:
 	$(MKDIR) $(DESTDIR)/$(mandir)/man8
 	for I in ${MAN8}; \
-	  do ($(RMF) $$I.gz; gzip -c $$I >$$I.gz; \
-	     $(INSTALL_DATA) $$I.gz $(DESTDIR)$(mandir)/man8/$$I.gz; \
-	     rm -f $$I.gz); \
+	  do \
+	     $(INSTALL_DATA) $$I $(DESTDIR)$(mandir)/man8/$$I; \
 	done
 	$(MKDIR) $(DESTDIR)/$(mandir)/man1
 	for I in ${MAN1}; \
-	  do ($(RMF) $$I.gz; gzip -c $$I >$$I.gz; \
-	     $(INSTALL_DATA) $$I.gz $(DESTDIR)$(mandir)/man1/$$I.gz; \
-	     rm -f $$I.gz); \
+	  do  \
+	     $(INSTALL_DATA) $$I $(DESTDIR)$(mandir)/man1/$$I; \
 	done
 
 uninstall:
 	for I in ${MAN8}; \
-	  do (rm -f $(DESTDIR)$(mandir)/man8/$$I.gz); \
+	  do (rm -f $(DESTDIR)$(mandir)/man8/$$I); \
 	done
 	for I in ${MAN1}; \
-	  do (rm -f $(DESTDIR)$(mandir)/man1/$$I.gz); \
+	  do (rm -f $(DESTDIR)$(mandir)/man1/$$I); \
 	done
 
 clean:
Index: scripts/bacula.in
diff -Nau scripts/bacula.in.orig scripts/bacula.in
--- scripts/bacula.in.orig	2010-08-05 16:29:51.000000000 +0200
+++ scripts/bacula.in	2010-12-19 19:30:06.000000000 +0100
@@ -14,36 +14,43 @@
 #  environment where they are different.
 #  
 SCRIPTDIR=@scriptdir@
-#
+
 # Disable Glibc malloc checks, it doesn't help and it keeps from getting
 #   good dumps
+#
 MALLOC_CHECK_=0
 export MALLOC_CHECK_
 
-case "$1" in
+action=$1
+debug=$2
+[ -n "$3" ] && enable_dir=$3 || enable_dir=yes
+[ -n "$4" ] && enable_sd=$4  || enable_sd=yes
+[ -n "$5" ] && enable_fd=$5  || enable_fd=yes
+ 
+case "$action" in
    start)
-      [ -x ${SCRIPTDIR}/bacula-ctl-sd ] && ${SCRIPTDIR}/bacula-ctl-sd $1 $2
-      [ -x ${SCRIPTDIR}/bacula-ctl-fd ] && ${SCRIPTDIR}/bacula-ctl-fd $1 $2
-      [ -x ${SCRIPTDIR}/bacula-ctl-dir ] && ${SCRIPTDIR}/bacula-ctl-dir $1 $2
+      [ "$enable_sd" = "yes"  ] && [ -x ${SCRIPTDIR}/bacula-ctl-sd ] && ${SCRIPTDIR}/bacula-ctl-sd $1 $2
+      [ "$enable_fd" = "yes"  ] && [ -x ${SCRIPTDIR}/bacula-ctl-fd ] && ${SCRIPTDIR}/bacula-ctl-fd $1 $2
+      [ "$enable_dir" = "yes" ] && [ -x ${SCRIPTDIR}/bacula-ctl-dir ] && ${SCRIPTDIR}/bacula-ctl-dir $1 $2
       ;;
 
    stop)
       # Stop the FD first so that SD will fail jobs and update catalog
-      [ -x ${SCRIPTDIR}/bacula-ctl-fd ] && ${SCRIPTDIR}/bacula-ctl-fd $1 $2
-      [ -x ${SCRIPTDIR}/bacula-ctl-sd ] && ${SCRIPTDIR}/bacula-ctl-sd $1 $2
-      [ -x ${SCRIPTDIR}/bacula-ctl-dir ] && ${SCRIPTDIR}/bacula-ctl-dir $1 $2
+      [ "$enable_sd" = "yes"  ] && [ -x ${SCRIPTDIR}/bacula-ctl-sd ] && ${SCRIPTDIR}/bacula-ctl-sd $1 $2
+      [ "$enable_fd" = "yes"  ] && [ -x ${SCRIPTDIR}/bacula-ctl-fd ] && ${SCRIPTDIR}/bacula-ctl-fd $1 $2
+      [ "$enable_dir" = "yes" ] && [ -x ${SCRIPTDIR}/bacula-ctl-dir ] && ${SCRIPTDIR}/bacula-ctl-dir $1 $2
       ;;
 
    restart)
-      $0 stop
+      $0 stop $debug $enable_dir $enable_sd $enable_fd
       sleep 2
-      $0 start
+      $0 start $debug $enable_dir $enable_sd $enable_fd
       ;;
 
    status)
-      [ -x ${SCRIPTDIR}/bacula-ctl-sd ] && ${SCRIPTDIR}/bacula-ctl-sd status
-      [ -x ${SCRIPTDIR}/bacula-ctl-fd ] && ${SCRIPTDIR}/bacula-ctl-fd status
-      [ -x ${SCRIPTDIR}/bacula-ctl-dir ] && ${SCRIPTDIR}/bacula-ctl-dir status
+      [ "$enable_sd" = "yes"  ] && [ -x ${SCRIPTDIR}/bacula-ctl-sd ] && ${SCRIPTDIR}/bacula-ctl-sd status
+      [ "$enable_fd" = "yes"  ] && [ -x ${SCRIPTDIR}/bacula-ctl-fd ] && ${SCRIPTDIR}/bacula-ctl-fd status
+      [ "$enable_dir" = "yes" ] && [ -x ${SCRIPTDIR}/bacula-ctl-dir ] && ${SCRIPTDIR}/bacula-ctl-dir status
       ;;
 
    *)
Index: src/dird/bacula-dir.conf.in
diff -Nau src/dird/bacula-dir.conf.in.orig src/dird/bacula-dir.conf.in
--- src/dird/bacula-dir.conf.in.orig	2010-08-05 16:29:51.000000000 +0200
+++ src/dird/bacula-dir.conf.in	2010-12-19 19:30:06.000000000 +0100
   Level = Incremental
   Client = @basename@-fd 
   FileSet = "Full Set"
-  Schedule = "WeeklyCycle"
+ #Schedule = "WeeklyCycle"
+  Schedule = "NEVER"
   Storage = File
   Messages = Standard
   Pool = File
@@ -106,7 +107,7 @@
 #    directory to give a reasonable FileSet to backup to
 #    disk storage during initial testing.
 #
-    File = @sbindir@
+    File = @scriptdir@
   }
 
 #
@@ -123,6 +124,11 @@
   }
 }
 
+# This schedule can be used to disable automatic scheduling
+Schedule {
+  Name = NEVER
+}
+
 #
 # When to do the backups, full backup on first sunday of the month,
 #  differential (i.e. incremental since full) every other sunday,
